FREEFOAM-REFINEMENTLEVEL(1)

NAME
freefoam-refinementLevel - Tries to figure out what the refinement level is on refined cartesian meshes. Run BEFORE snapping.

SYNOPSIS

freefoam refinementLevel [-help] [-srcDoc] [-readLevel] [-doc] [-parallel] [-case <dir>]

DESCRIPTION

Writes - volScalarField refinementLevel with current refinement level. - cellSet refCells which are the cells that need to be refined to satisfy 2:1 refinement.

Works by dividing cells into volume bins.

OPTIONS

-readLevel
    Read reference refinementLevel file.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.